% FALSE STATEMENTS
%
% 1. Only one of these statements is false
% 2. Only two of these statements is false
% 3. Only three of these statements is false
% 4. Only four of these statements is false
% 5. All five of these statements is false
% Which if any is true?

count_false([], 0).
count_false([false|R], N) :- count_false(R, M), N is M + 1.
count_false([true|R], N) :- count_false(R, M), N is M.

falses([S1,S2,S3,S4,S5]) :- 
  count_false([S1,S2,S3,S4,S5], N),
  ((S1 -> N = 1) ; (S1 = false -> N \= 1)),
  ((S2 -> N = 2) ; (S2 = false -> N \= 2)),
  ((S3 -> N = 3) ; (S3 = false -> N \= 3)),
  ((S4 -> N = 4) ; (S4 = false -> N \= 4)),
  ((S5 -> N = 5) ; (S5 = false -> N \= 5)).


